package me.ChrisvA.MinecartExtra;

import org.bukkit.entity.Player;
import org.bukkit.entity.StorageMinecart;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.vehicle.VehicleDamageEvent;
import org.bukkit.event.vehicle.VehicleMoveEvent;

public class MinecartExtraVehicleListener implements Listener {
	
	private MinecartExtra plugin;
	
	public MinecartExtraVehicleListener (MinecartExtra plugin){
		this.plugin = plugin;
	}
	
	/*
	//@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleBlockCollision(VehicleBlockCollisionEvent ev){
		//plugin.getServer().broadcastMessage(ChatColor.AQUA + "onVehicleBlockCollision");
	}*/
	
	/*
	//@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleCreate(VehicleCreateEvent ev){
	}*/
	
	@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleDamage(VehicleDamageEvent ev){
		// Wenn nicht bereits geloescht
		if (ev.isCancelled()){
			return;
		}
		
		if (ev.getVehicle() instanceof StorageMinecart && ev.getAttacker() instanceof Player){
			if(this.plugin.StorageMinecartDamage((StorageMinecart) ev.getVehicle(), (Player) ev.getAttacker())){
				ev.setDamage(0);
			}
		}
	}
	
	/*
	//@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleDestroy(VehicleDestroyEvent ev){
		//plugin.getServer().broadcastMessage(ChatColor.AQUA + "onVehicleDestroy");
	}*/
	
	/*
	//@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleEntityCollision(VehicleEntityCollisionEvent ev){
		//plugin.getServer().broadcastMessage(ChatColor.AQUA + "onVehicleEntityCollision");
	}*/
	
	@EventHandler(priority = EventPriority.NORMAL)
	public void onVehicleMove(VehicleMoveEvent ev){
		if (ev.getVehicle() instanceof StorageMinecart){
			this.plugin.StorageMinecartMove((StorageMinecart) ev.getVehicle());
		}
	}
	
}
